Bug 249430 - hosts.allow 255.255.255.255 netmask broken for localhost
hosts.allow 255.255.255.255 netmask broken for localhost
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcp_wrappers (Show other bugs)
4.5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Petr Lautrbach
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-24 13:18 EDT by tsc5yc
Modified: 2012-06-20 09:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tsc5yc 2007-07-24 13:18:50 EDT
Description of problem:
hosts.allow net/mask pattern does not work as expected, at least while using
sendmail

Version-Release number of selected component (if applicable):
# rpm -qa | grep tcp_wrappers
tcp_wrappers-7.6-37.2
tcp_wrappers-7.6-37.2

note: twice?

How reproducible:
Every time

Steps to Reproduce:
1. add "ALL: ALL" to /etc/hosts.deny
2. add "sendmail: 127.0.0.1/255.255.255.255" to /etc/hosts.allow
3. #chkconfig sendmail on; service sendmail start
4. #echo "testing" | mail -s "Test" me@mymail.com
5. check /var/log/maillog
  
Actual results:
Jul 24 11:48:38 __ sendmail[21230]: ____________: tcpwrappers (___________,
127.0.0.1) rejection

Expected results:
tcpwrappers to allow sendmail: 127.0.0.1

Additional info:
sendmail: 126.0.0.1/254.255.255.255
works, but
sendmail: 126.0.0.1/255.255.255.255
does NOT work either
if 126/254 succeeds, why does neither 127/255 nor 126/255 work?
Comment 2 Tomas Janousek 2007-07-25 09:43:07 EDT
The fix is really simple, but won't make it to 4.6. Please, use just "127.0.0.1"
instead.
Comment 3 RHEL Product and Program Management 2008-02-01 14:04:39 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Jiri Pallich 2012-06-20 09:22:55 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.